/***************************************************
  This is a simple Temperature-APP by Jakob Vicari
  for DS18B20 Sensors based on library examples
   Distributen under MIT-License
 ****************************************************/
#include <OneWire.h>
#include <DS18B20.h>

DS18B20  ds18b20(D2, true); //Setzt Pin D2 for TEMPERATURSENSOR
double   celsius;

void setup() {  // Das hier zwischen geschweiften Klammern wird einmal beim Start getan
  Serial.begin(115200);
  Particle.variable ("TempCelsius", celsius); // Die Variable celsius in der Cloud siuchtbar machen
}

void loop() {    // Das hier zwischen geschweiften Klammern wird immer wieder getan
    celsius = ds18b20.getTemperature(); // TEMPERATUR MESSEN
    delay(2000); // ZWEI SEKUNDEN WARTEN
    Particle.publish("Temperatur", String(celsius), PRIVATE); // Die Temperatur veröffentlichen

}  // Programm Ende
