/***************************************************
  This is a simple Temperature-APP by Jakob Vicari
  for Keksaechter  based on library examples
   Distributen under MIT-License
 ****************************************************/
#include <TM1637.h>
#include <Ultrasonic.h>
#define CLK D2 //pins definitions for TM1637 and can be changed to other ports
#define DIO D3
TM1637 tm1637(CLK,DIO);
Ultrasonic ultrasonic(A0);
int measured_distance;
int digit[4];

void setup(){
   tm1637.init();
   tm1637.set(7);//BRIGHT_TYPICAL = 2,BRIGHT_DARKEST = 0,BRIGHTEST = 7;
   Particle.variable("Distanz",measured_distance);
}
void loop()
{
    measured_distance = ultrasonic.MeasureInCentimeters();
    digit[0] = measured_distance % 10;
    digit[1]= measured_distance /10;
    digit[2] = measured_distance / 100;
    digit[3]= measured_distance / 1000;

    tm1637.display(0,digit[3]);
    tm1637.display(1,digit[2]);
    tm1637.display(2,digit[1]);
    tm1637.display(3,digit[0]);
    delay(300);

}
